# This file was automatically generated by running the following command:
#
#     bash scripts/make_tables.sh
#
TABLES = {
   "CE13795": [
    {
        "Latitude": "33.4659 N",
        "Longitude": "117.6674 W",
        "Elevation (m)": "55",
        "Site Geology": "Alluvium",
        "Vs30 (m/sec)": "385 (inferred)",
        "Site Class": "C",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "6",
        "Plan Shape": "Straight. ",
        "Total Length": "441' (134.4m).  Bridge spans range from 50' (15.2m) to 97' (29.6m).",
        "Width of Deck": "52' (15.8m)",
        "Construction Date": "1960",
        "Instrumentation": "1999.  9 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "6-cell concrete box girder.  Cantilever abutments.",
        "Substructure Type": "Reinforced concrete columns.  2 columns per bent.",
        "Foundation Type": "Spread footings.",
        "Remarks": "This bridge was instrumented under an interagency agreement between Caltrans and DOC.  The bridge was retrofitted in 1996"
    }
],
   "CE33742": [
    {
        "Latitude": "35.6696 N",
        "Longitude": "117.8187 W",
        "Elevation (m)": "729"
    },
    {
        "No. of Spans": "4",
        "Plan Shape": "Straight with skew. ",
        "Total Length": "282' (86.0m).  Bridge spans range from 54' (16.5m) to 83' (25.3m).",
        "Width of Deck": "42' (12.8m)",
        "Construction Date": "1966",
        "Instrumentation": "1996.  6 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Continuous concrete box girder.  Diaphragm abutments.",
        "Substructure Type": "Circular concrete columns.  2 columns per bent.",
        "Foundation Type": "CIDH concrete piles support all columns and abutments.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE01336": [
    {
        "Latitude": "32.7735 N",
        "Longitude": "115.4481 W",
        "Elevation (m)": "-4",
        "Site Geology": "Deep alluvium",
        "Vs30 (m/sec)": "265 (measured)",
        "Site Class": "D",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "2",
        "Plan Shape": "Straight. ",
        "Total Length": "208' (63.4m).  Bridge spans are each 104' (31.7m) long.",
        "Width of Deck": "34' (10.4m)",
        "Construction Date": "1971",
        "Instrumentation": "1978.  Upgraded 1991.  29 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Concrete box girder connected monolithically to the abutments.",
        "Substructure Type": "Reinforced concrete piers.  1 column per pier.",
        "Foundation Type": "Timber piles supporting a square concrete footing under central pier.  Abutments are also supported by timber piles.",
        "Remarks": "This bridge was instrumented by CSMIP in 1978 with 26 sensors.  The instrumentation was upgraded in 1991 to 32 sensors as part of the interagency agreement between Caltrans and DOC."
    }
],
   "CE54730": [
    {
        "Latitude": "37.5733 N",
        "Longitude": "118.7390 W",
        "Elevation (m)": "2089",
        "Site Geology": "Alluvium",
        "Vs30 (m/sec)": "305 (inferred)",
        "Site Class": "D",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "2",
        "Plan Shape": "Straight with skew. ",
        "Total Length": "203' (61.9m).  Bridge spans are 99' (30.2m) and 104' (31.7m) long.",
        "Width of Deck": "43' (13.1m)",
        "Construction Date": "1969",
        "Instrumentation": "1995.  6 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Continuous concrete box girder.  Diaphragm abutments.",
        "Substructure Type": "Circular concrete columns.  2 columns per bent.",
        "Foundation Type": "Spread footings.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE89324": [
    {
        "Latitude": "40.5031 N",
        "Longitude": "124.1009 W",
        "Elevation (m)": "43",
        "Site Geology": "Shallow fill/alluv over rock (sandstone)",
        "Vs30 (m/sec)": "312 (measured)",
        "Site Class": "D",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "2",
        "Plan Shape": "Straight with skew. ",
        "Total Length": "265' (80.8m).  Bridge spans are 119' (36.3m) and 146' (44.5m).",
        "Width of Deck": "52' (15.8m)",
        "Construction Date": "1976",
        "Instrumentation": "1977.  17 accelerometers on the bridge and 3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Continuous concrete box girder.  Diaphragm abutments.",
        "Substructure Type": "Circular concrete columns.  2 columns per bent.",
        "Foundation Type": "Concrete piles.",
        "Remarks": "Several strong-motion records have been obtained from this bridge since the installation in 1977."
    }
],
   "CE24694": [
    {
        "Latitude": "34.3349 N",
        "Longitude": "118.5084 W",
        "Elevation (m)": "440"
    },
    {
        "No. of Spans": "9",
        "Plan Shape": "Curved. ",
        "Total Length": "1582' (482.2m).  Bridge spans range from 135' (41.1m) to 198' (60.4m).",
        "Width of Deck": "51' (15.5m)",
        "Construction Date": "1995",
        "Instrumentation": "1995.  39 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Concrete box girder with 1 intermediate expansion joint.",
        "Substructure Type": "Octagonal concrete columns.  1 column per bent.",
        "Foundation Type": "Circular CIDH concrete piles.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE89973": [
    {
        "Latitude": "40.5093 N",
        "Longitude": "124.1196 W",
        "Elevation (m)": "13"
    },
    {
        "No. of Spans": "8",
        "Plan Shape": "Curved. ",
        "Total Length": "1643' (500.8m).  Bridge spans range from 68' (20.7m) to 303.5' (92.5m).",
        "Width of Deck": "134.5' (41.0m) min.",
        "Construction Date": "1941",
        "Instrumentation": "2001.  15 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "2 prestressed concrete girder spans, 2 steel truss spans, and 4 concrete box girder spans. The truss spans are supported on isolators.  Seat abutments.",
        "Substructure Type": "Concrete bent shafts.  1 column per bent",
        "Foundation Type": "Spread footings.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC.  The bridge was modified several times (1972, 1987, and 1989)."
    }
],
   "CE23631": [
    {
        "Latitude": "34.0650 N",
        "Longitude": "117.2962 W",
        "Elevation (m)": "297",
        "Site Geology": "Deep alluvium",
        "Vs30 (m/sec)": "271 (measured)",
        "Site Class": "D",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "16",
        "Plan Shape": "Curved. ",
        "Total Length": "2540' (774.2m).  Bridge spans range from 75' (22.9m) to 224' (68.3m).",
        "Width of Deck": "41' (12.5m)",
        "Construction Date": "1966",
        "Instrumentation": "1992.  34 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Concrete box girder structures seperated by hinges.",
        "Substructure Type": "Octagonal concrete columns, some with steel jackets added during the retrofit.  1 column per bent.",
        "Foundation Type": "Spread footings supported by piles.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC.  The bridge was retrofitted in 1991."
    }
],
   "CE58658": [
    {
        "Latitude": "37.6907 N",
        "Longitude": "122.0993 W",
        "Elevation (m)": "49"
    },
    {
        "No. of Spans": "14",
        "Plan Shape": "Curved ",
        "Total Length": "2030' (618.7m).  Bridge spans range from 92' (28.0m) to 197' (60.0m) long.",
        "Width of Deck": "54' (16.5m)",
        "Construction Date": "1988",
        "Instrumentation": "1993 (7 accelerometers on the bridge and 3 accelerometers at a free-field site); The bridge was reinstrumented in 2011 with 20 accelermeters."
    },
    {
        "Superstructure Type": "Concrete box girders.",
        "Substructure Type": "Octagonal concrete columns.  1 to 3 columns per bent.",
        "Foundation Type": "Bents are supported by concrete CIDH piles or spread footings.  Abutments are supported by concrete CIDH piles or steel piles.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE13705": [
    {
        "Latitude": "33.8820 N",
        "Longitude": "117.5497 W",
        "Elevation (m)": "187"
    },
    {
        "No. of Spans": "12",
        "Plan Shape": "Curved and straight. ",
        "Total Length": "1600' (487.7m).  Bridge spans range from 100' (30.5m) to 150' (45.7m).",
        "Width of Deck": "42' (12.8m)",
        "Construction Date": "1989",
        "Instrumentation": "1994.  9 accelerometers on the bridge."
    },
    {
        "Superstructure Type": "Continuous prestressed concrete box girder with 3 intermediate hinges and cable restrainers.  Open end seat abutments.",
        "Substructure Type": "Octagonal concrete columns with parabolic flares along the upper portion.  1 column per bent.",
        "Foundation Type": "Steel piles support bents and abutments.",
        "Remarks": "This bridge was instrumented under an interagency agreement between Caltrans and DOC."
    }
],
   "CE14406": [
    {
        "Latitude": "33.7494 N",
        "Longitude": "118.2715 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "3 main spans, plus 20 approach spans.",
        "Plan Shape": "Straight. ",
        "Total Length": "2513' (766.0m) for main span plus 3547' (1081.1m) for approach spans.  Center span: 1500' (457.2m); side span: 506' (154.2m).",
        "Width of Deck": "52' (15.8m)",
        "Construction Date": "1964",
        "Instrumentation": "1981.  26 accelerometers on the bridge."
    },
    {
        "Superstructure Type": "Steel cable suspension spans for center and side spans; lightweight concrete deck supported by stiffening trusses on suspended spans; steel girders for approach spans.",
        "Substructure Type": "Steel towers with two cellular shafts braced with five struts; 1 column per bent.",
        "Foundation Type": "Steel piles support the towers and battered steel piles support the anchorages.",
        "Remarks": "This bridge was instrumented in 1981 with funding support from the Federal Highway Department."
    }
],
   "CE24704": [
    {
        "Latitude": "34.0368 N",
        "Longitude": "118.3762 W",
        "Elevation (m)": "25"
    },
    {
        "No. of Spans": "6",
        "Plan Shape": "Curved with skew. ",
        "Total Length": "776.4' (236.7m).  Bridge spans ranges from 120' (36.6m) to 143' (43.6m).",
        "Width of Deck": "Ranges from 142' (43.3m) to 156' (47.5m)",
        "Construction Date": "1994",
        "Instrumentation": "1994.  15 accelerometers on the bridge."
    },
    {
        "Superstructure Type": "2 rows of concrete box girders joined along the centerline with a 2' closure pour.  Closed end cantilever seat abutments.",
        "Substructure Type": "Circular concrete columns.  3 or 4 columns per bent.",
        "Foundation Type": "CIDH concrete piles support the columns.  Steel piles support the abutments.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE24706": [
    {
        "Latitude": "34.5463 N",
        "Longitude": "118.1301 W",
        "Elevation (m)": "895",
        "Site Geology": "Thin fill/alluv (10m) over granitic rock",
        "Vs30 (m/sec)": "501 (measured)",
        "Site Class": "C",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "5",
        "Plan Shape": "Straight with skew. ",
        "Total Length": "444' (135.3m).  Bridge spans range from 68' (20.7m) to 100' (30.5m).",
        "Width of Deck": "40' (12.2m)",
        "Construction Date": "1965",
        "Instrumentation": "1994.  9 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Concrete box girders.  Open end diaphragm abutments.",
        "Substructure Type": "Rectangular concrete columns.  2 columns per bent.",
        "Foundation Type": "Spread footings support all bents and abutments.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC.  The bridge was retrofitted."
    }
],
   "CE24775": [
    {
        "Latitude": "34.8663 N",
        "Longitude": "118.8836 W",
        "Elevation (m)": "999",
        "Site Geology": "Alluvium",
        "Vs30 (m/sec)": "437 (measured)",
        "Site Class": "C",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "4",
        "Plan Shape": "Curved with skew ",
        "Total Length": "488.6' (148.9m).  Bridge spans range from 71' (21.6m) to 158' (48.2m).",
        "Width of Deck": "40' (12.2m)",
        "Construction Date": "1964",
        "Instrumentation": "1998.  13 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Simply supported welded composite steel girders with lateral stiffening braces (retrofit).  L-type abutments.",
        "Substructure Type": "Rectangular concrete columns.  3 or 4 columns per bent with shear walls between the columns (retrofit).",
        "Foundation Type": "Spread footings support the bents.  Concrete piles support the abutments.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC.  The shear walls between the concrete columns and the lateral braces between the steel girders were added during the 1997 retrofit."
    }
],
   "CE47315": [
    {
        "Latitude": "36.8619 N",
        "Longitude": "121.5796 W",
        "Elevation (m)": "122",
        "Site Geology": "Alluvium",
        "Vs30 (m/sec)": "363 (inferred)",
        "Site Class": "C/D",
        "Remarks/Notes": "Site information sources"
    },
    {
        "No. of Spans": "6",
        "Plan Shape": "Straight with skew. ",
        "Total Length": "321' (97.8m).  Bridge spans range from 33.5' (10.2m) to 68.5' (20.9m).",
        "Width of Deck": "28' (8.5m)",
        "Construction Date": "1958",
        "Instrumentation": "1977 & 2002.  12 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Welded steel girders with concrete diaphragm added during the retrofit supprted by rocker bearings.  Seat abutments with catcher beams and integral wing walls.",
        "Substructure Type": "Concrete bents with rectangular columns.  2 columns per bent.  Infill walls were added between the columns during the retrofit.",
        "Foundation Type": "Spread footings.",
        "Remarks": "The bridge was first instrumented by CSMIP in 1977.  After the retrofit, the bridge was re-instrumented in 2002 under the interagency agreement between Caltrans and DOC."
    }
],
   "CE58601": [
    {
        "Latitude": "37.8198 N",
        "Longitude": "122.3429 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "13",
        "Plan Shape": "Straight with curved on west and east ends ",
        "Total Length": "2085 m (east bound structure)",
        "Width of Deck": "25.07m plus 4.86m bike path (east bound structure)",
        "Construction Date": "2009",
        "Instrumentation": "2009. 69 accelerometers and 1 relative displacement sensor on the east bound bridge. "
    },
    {
        "Superstructure Type": "452 precast concrete box girder segments connected with cast-in-place concrete pier tables.  The box girders are divided into 4 frames.  A steel transition box girder at the west end connects the suspension bridge.   ",
        "Substructure Type": "concrete columns (hollow), 1 column per pier.",
        "Foundation Type": "Pile caps with 2.5m diameter cast-in-steel-shell (CISS) concrete piles.  Pile tip elevation ranges from -95m to -106 m.  Piers E3E to E14E are supported by 6 battered piles.",
        "Remarks": "This bridge was instrumented during construction under the interagency agreement between Caltrans and DOC. "
    }
],
   "CE58632": [
    {
        "Latitude": "37.7982 N",
        "Longitude": "122.3774 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "7",
        "Plan Shape": "Straight. ",
        "Total Length": "10292' (3137.0m).  Bridge spans range from 861' (262.4m) to 2310' (704.1m).",
        "Width of Deck": "60' (18.3m) to 72' (21.9m)",
        "Construction Date": "1936",
        "Instrumentation": "1993 (pre-retrofit):  6 accelerometers on the bridge.  Post-retrofit: 76 accelerometers and 3 relative displacement sensors on the bridge.  3 accelerometers at a free-field site.  6 accelerometers at downhole locations."
    },
    {
        "Superstructure Type": "Steel truss deck supported by steel suspension cables.",
        "Substructure Type": "Steel plated columns with vertical bracing.  2 columns at each tower.",
        "Foundation Type": "Concrete piers founded on bedrock.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC.  The bridge is composed of two 3-span cable suspended structures with a common cable anchorage at the center."
    }
],
   "CE58700": [
    {
        "Latitude": "37.8198 N",
        "Longitude": "122.4788 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "14. (1 Main span, 2 side spans, 6 spans at the North Viaduct, 5 spans at the South Viaduct).",
        "Plan Shape": "Mostly straight with a curve at the South Viaduct. ",
        "Total Length": "9151' (2789.2m). Main bridge spans are 1125' (342.9m), 4200' (1280.2m), and 1125' (342.9m). North viaduct spans are approx. 200' (61.0m) with a 347' (105.8m) anchorage housing. South viaduct spans range from 71' (21.6m) to 320' (97.5m).",
        "Width of Deck": "87.1' (26.5m) to 90' (27.4m).",
        "Construction Date": "1937 (several upgrades since 1937).",
        "Instrumentation": "1995. 69 accelerometers and 4 relative displacement sensors on the bridge, and a free-field station on the south side of the bridge.  As of 2008, 100 accelerometers and 12 relative displacement sensors on the bridge, and geotechnical arrays on the north side and south side of the bridge."
    },
    {
        "Superstructure Type": "Main span and side spans: suspended steel truss spans supported by braced steel towers. North and South Viaducts are mainly steel truss spans, with a steel arch span at the South Viaduct, supported by steel towers.",
        "Substructure Type": "Suspension spans: braced steel cellular shaft towers. 2 columns per tower. North and South Viaducts: braced steel towers and concrete pylons.",
        "Foundation Type": "Reinforced concrete piers support the main span towers.",
        "Remarks": "The bridge was instrumented under the agreement between the Golden Gate Bridge, Highway and Transportation District and DOC."
    }
],
   "CE68184": [
    {
        "Latitude": "38.0610 N",
        "Longitude": "122.2252 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "5",
        "Plan Shape": "Straight. ",
        "Total Length": "3350' (1021.1m).  Bridge spans range from 150' (45.7m) to 1100' (335.3m).",
        "Width of Deck": "52' (15.8m)",
        "Construction Date": "1958",
        "Instrumentation": "2002.  53 accelerometers and 2 relative displacement sensors on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Main span is a steel truss structure typically consisting of built-up steel welded box members with perforated plates on two sides.  Connections are high-strength bolted.  Abutment 1 is a seat abutment.",
        "Substructure Type": "Steel truss towers.",
        "Foundation Type": "Abutment 1 is supported on a spread footing.  Piers 2 and 3 are supported on concrete caissons.  Pier 4 is supported on steel H-piles.  Pier 5 is supported on a hollow concrete shaft.",
        "Remarks": "This bridge was extensively instrumented under the interagency agreement between Caltrans and DOC during the retrofit work in 2001."
    }
],
   "CE68185": [
    {
        "Latitude": "38.0610 N",
        "Longitude": "122.2265 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "Suspension Bridge: 3; Approach Structures: 7 & 5",
        "Plan Shape": "Suspension Bridge: Straight; Approach Structures: Curved ",
        "Total Length": "Suspension Bridge: 3465' (1056m); Approach Structures: 496.5m & 173.3m",
        "Width of Deck": "Suspension Bridge: 89' (27.2m)",
        "Construction Date": "2003",
        "Instrumentation": "2004.  76 sensors on the suspension bridge and 27 sensors on the approach structures. "
    },
    {
        "Superstructure Type": "Suspension Bridge: Steel box girder suspended by steel cables and supported by concrete towers with prestressed concrete struts.  Approach Structures: continous concrete box girders with hinges supported on concrete columns.",
        "Substructure Type": "Suspenion Bridge: Concrete towers (2-legs).  Approach structures: concrete columns; 1-3 columns per bent.",
        "Foundation Type": "Suspension Bridge:  Concrete pile cap with 3m diameter CISS piles at towers.  Approach Structures: CIDH piles",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE79421": [
    {
        "Latitude": "39.9213 N",
        "Longitude": "123.7634 W",
        "Elevation (m)": "245"
    },
    {
        "No. of Spans": "3",
        "Plan Shape": "Straight ",
        "Total Length": "413 meters",
        "Width of Deck": "13 m",
        "Construction Date": "2009",
        "Instrumentation": "2009. 21 accelerometers on the bridge. 3 accelerometers at a free-field site near North Abutment. "
    },
    {
        "Superstructure Type": "Cast-in-place segmental concrete box girder (one-cell).",
        "Substructure Type": "Hollow box concrete column; one column at each pier.  The column height is 51.5 m and 51.25 m, at Piers 2 and 3, respecively. ",
        "Foundation Type": "Piers 2 and 3 are supported by pile caps on 11 1.5m-diameter CIDH concrete piles.  Abutments are seat typed with PTFE bearings and supported on CIDH concrete piles.",
        "Remarks": "The bridge was instrumented during construction under the interagency agreement between Caltrans and DOC/CGS."
    }
],
   "CE89708": [
    {
        "Latitude": "40.9563 N",
        "Longitude": "124.1161 W",
        "Elevation (m)": "28"
    },
    {
        "No. of Spans": "4",
        "Plan Shape": "Straight ",
        "Total Length": "182' (55.5m).  2 spans at 32.5' (9.9m) and 2 spans at 58.5' (17.8m).",
        "Width of Deck": "40' (12.2m)",
        "Construction Date": "1964",
        "Instrumentation": "1995.  9 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Six concrete T-beams supported on open end cantilever abutments and concrete bents.  T-beams supported on abutments with rocker bearings.",
        "Substructure Type": "Rectangular concrete columns.  2 columns per bent.",
        "Foundation Type": "Spread footings.",
        "Remarks": "This bridge was instrumented under an interagency agreement between Caltrans and DOC."
    }
],
   "CE89735": [
    {
        "Latitude": "40.8136 N",
        "Longitude": "124.1594 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "9",
        "Plan Shape": "Straight ",
        "Total Length": "1082' (329.8m).  Bridge spans range from 120' (36.6m) to 121' (36.9m) long.",
        "Width of Deck": "34' (10.4m)",
        "Construction Date": "1971",
        "Instrumentation": "1996.  6 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Concrete I-girders supported on concrete bents and concrete seat abutments.",
        "Substructure Type": "Hexagonal concrete columns.  1 column per bent.",
        "Foundation Type": "Concrete piles.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE89736": [
    {
        "Latitude": "40.8090 N",
        "Longitude": "124.1547 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "15",
        "Plan Shape": "Straight and curved. ",
        "Total Length": "1816' (553.5m).  Bridge spans range from 81' (24.7m) to 190' (57.9m) long.",
        "Width of Deck": "34' (10.4m)",
        "Construction Date": "1971",
        "Instrumentation": "1996.  9 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Continuous concrete box girders in spans 1,2, and 3.  Prestressed concrete I-girders joined together with concrete diaphragms in other spans.  Seat abutments with elastomeric bearings.",
        "Substructure Type": "Hexagonal concrete columns.  1 column per bent.",
        "Foundation Type": "Concrete piles.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
   "CE89973": [
    {
        "Latitude": "40.5093 N",
        "Longitude": "124.1196 W",
        "Elevation (m)": "13"
    },
    {
        "No. of Spans": "8",
        "Plan Shape": "Curved. ",
        "Total Length": "1643' (500.8m).  Bridge spans range from 68' (20.7m) to 303.5' (92.5m).",
        "Width of Deck": "134.5' (41.0m) min.",
        "Construction Date": "1941",
        "Instrumentation": "2001.  15 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "2 prestressed concrete girder spans, 2 steel truss spans, and 4 concrete box girder spans. The truss spans are supported on isolators.  Seat abutments.",
        "Substructure Type": "Concrete bent shafts.  1 column per bent",
        "Foundation Type": "Spread footings.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC.  The bridge was modified several times (1972, 1987, and 1989)."
    }
],
   "CE89686": [
    {
        "Latitude": "40.8216 N",
        "Longitude": "124.1697 W",
        "Elevation (m)": "--"
    },
    {
        "No. of Spans": "20",
        "Plan Shape": "Straight ",
        "Total Length": "2507' (764.1m).  Bridge spans range from 120' (36.6m) to 225' (68.6m) long.",
        "Width of Deck": "34' (10.4m)",
        "Construction Date": "1971",
        "Instrumentation": "1996.  24 accelerometers on the bridge.  3 accelerometers at a free-field site."
    },
    {
        "Superstructure Type": "Prestressed concrete I-girders.  Seat abutments.",
        "Substructure Type": "Hexagonal concrete columns.  1 column per bent.",
        "Foundation Type": "Concrete piles.",
        "Remarks": "This bridge was instrumented under the interagency agreement between Caltrans and DOC."
    }
],
}
